"use client";
import React from 'react';
import { Swiper, SwiperSlide } from 'swiper/react';
import 'swiper/css';
import 'swiper/css/pagination';
import 'swiper/css/navigation';

import { Pagination, Navigation } from 'swiper/modules';
import Container from '../Base/Container';
import BaseImage from '../Base/BaseImage';
import Heading from '../Base/Heading';

export default function TestimonialCards() {
    return (
        <div
            style={{
                backgroundImage: `url(/assets/images/secbg4.png)`,
                backgroundSize: 'cover',
                backgroundPosition: 'center',
                display: 'flex',
                flexDirection: 'column',
                justifyContent: 'space-between',
                padding: '40px 40px',
            }}
        >
            <Container>
                <Swiper
                    slidesPerView={1}
                    spaceBetween={30}
                    pagination={{
                        clickable: true,
                    }}
                    navigation
                    breakpoints={{
                        // when window width is >= 1024px, show 3 slides
                        1024: {
                            slidesPerView: 3,
                        },
                    }}
                    modules={[Pagination, Navigation]}
                    className="mySwiper"
                >
                    {[1, 2, 3, 4, 5].map((_, index) => (
                        <SwiperSlide key={index}>
                            <div className='flex flex-col items-center text-center space-y-3 border p-3 rounded-3xl border-white 
                            transition-transform transform hover:scale-105'>
                                <BaseImage
                                    src='/assets/images/secinnr.png'
                                    height={100}
                                    width={100}
                                    alt='homebanner2'
                                    className='object-cover'
                                />
                                <p className='text-white'>“Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy”</p>
                                <Heading level={6} className='text-white'>DEVON LARRET</Heading>
                                <Heading level={6} className='text-white font-light'>FOUNDER, SOME COMPANY</Heading>
                            </div>
                        </SwiperSlide>
                    ))}
                </Swiper>
            </Container>
        </div>
    );
}
